Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059882 - Cluster-connections, bridges and JMS connection factories must define either connectors or discovery-group but not both
Summary: Cluster-connections, bridges and JMS connection factories must define either ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugins
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
: RHQ 4.10
Assignee: Thomas Segismont
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-30 20:21 UTC by Jay Shaughnessy
Modified: 2014-04-23 12:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-23 12:31:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1001612 None None None Never

Internal Links: 1001612

Description Jay Shaughnessy 2014-01-30 20:21:48 UTC
Using EAP 6.1.0 against the jboss-as-7 plugin integration tests I found the following attributes could not be written back for the given resource types:

attribute "discovery-group-name" (mutual exclusion issue?)
  "Pooled Connection Factory"
  "Connection Factory"

attribute "static-connectors" (nullable list issue?)        
  "Cluster Connection"


These types are currently being ignored in test ResourcesStandaloneServerTest#loadUpdateResourceConfiguration and should be re-enabled if a fix is provided.

Comment 1 Thomas Segismont 2014-03-06 15:30:04 UTC
Changed title: the itests failures on EAP6.1.0 revealed something which had changed in some HornetQ management nodes configuration.

Details are in AS7-5107: define connectors as alternatives to discovery-group
https://issues.jboss.org/browse/AS7-5107

Note that the changes for AS7-5107 broke the ability to update the configuration of existing resources on EAP6.1.x. On these versions, users have to delete and re-create the resources. See Bug 1001612 - Adding functionality to change "connector" to "discovery-group-name" for the existing JMS connection factories for more details.

Comment 2 Thomas Segismont 2014-03-07 13:11:44 UTC
Fixed in master

commit 3a26c6296faf814529d6295e765b9c41aeb7c68f
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Fri Mar 7 13:39:55 2014 +0100

    Bug 1059882 - Cluster-connections, bridges and JMS connection factories must define either connectors or discovery-group but not both
    
    From 6.1 on, EAP has a guard which refuses modifications on these resources which include a value for both attributes, even if one of them is null. AS7 plugin had some code in Conn
    
    Now in ConnectorDiscoveryGroupValidatorComponent configuration update happen in two phases:
    1. execute a composite operation to set one of the two attributes and unset the other one
    2. use the standard ConfigurationWriteDelegate for all other attributes
    
    Side work: update ResourcesStandaloneServerTest and ResourcesDomainServerTest to exclude some resource types which are broken in some versions of EAP.

Comment 3 Thomas Segismont 2014-03-07 13:18:03 UTC
For some reason the text was cut when I pasted it. Copying again.

From 6.1 on, EAP has a guard which refuses modifications on these resources which include a value for both attributes, even if one of them is null. AS7 plugin had some code in ConnectorDiscoveryGroupValidatorComponent to check that both values were not filled, but allowed sending nulls or empty String.

Now in ConnectorDiscoveryGroupValidatorComponent configuration update happen in two phases:
1. execute a composite operation to set one of the two attributes and unset the other one
2. use the standard ConfigurationWriteDelegate for all other attributes

Side work: update ResourcesStandaloneServerTest and ResourcesDomainServerTest to exclude some resource types which are broken in some versions of EAP.

Comment 4 Heiko W. Rupp 2014-04-23 12:31:03 UTC
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.


Note You need to log in before you can comment on or make changes to this bug.